USE 62
JOIN %CA7 TO 62 ALIAS 14 INTO CODTAB=CODCAUS
JOIN 9 INTO CODDITTA=CODDITTA
JOIN  6 TO   9 ALIAS 116 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  8 TO   6 ALIAS 118 INTO CODANAGR=CODANAGR
JOIN 13 TO   8 ALIAS 113 INTO COM=COMNASC
JOIN 13 TO   6 ALIAS 213 INTO COM=COMRF(COMRES)
JOIN  6 TO  62  ALIAS 216 INTO TIPOA=TIPOA CODANAGR=CODANAGR
JOIN  8 TO 216@ ALIAS 218 INTO CODANAGR=CODANAGR
JOIN 13 TO 218@ ALIAS 313 INTO COM=COMNASC
JOIN 13 TO 216@ ALIAS 413 INTO COM=COMRF(COMRES)
JOIN %STA TO 216@ ALIAS 24 INTO CODTAB=STATORES
END

DESCRIPTION
BEGIN
  62->* "Quadro D 770"
  9->* "Ditte"
  6->* "Anagrafica persone fisiche e giuridiche"
  8->* "Anagrafica persone fisiche"
  113@->* "Comuni"
  213@->* "Comuni"
  216@->* "Anagrafica persone fisiche e giuridiche"
  218@->* "Anagrafica persone giuridiche"
  313@->* "Comuni"
  413@->* "Comuni"
END

GENERAL
BEGIN
  OFFSET 0 0
  FONT "Courier 17cpi"
  SIZE 10
  CA "X"           
  IN 3 2
  FI 131
END

SECTION HEADER FIRST 31

LISTA 9
BEGIN
 KEY "Tipo anagrafica"
 FIELD 116@->TIPOA
 ITEM "F| " MESSAGE ENABLE,1@|DISABLE,2@
 ITEM "G| " MESSAGE ENABLE,2@|DISABLE,1@
END

STRINGA 1 
BEGIN
  KEY "CODICE FISCALE"
  PROMPT 4 12  ""
  FIELD 116@->COFI
END

STRINGA 2
BEGIN
  KEY "RAGIONE SOCIALE"
  PROMPT 39 12  ""
  FIELD 116@->RAGSOC
  GROUP 2
END

STRINGA 3
BEGIN
  KEY "COGNOME"
  PROMPT 39 12 ""
  FIELD 116@->RAGSOC[1,30]
  GROUP 1
END  

STRINGA 4
BEGIN
  KEY "NOME"
  PROMPT 17 14 ""
  FIELD 116@->RAGSOC[31,50]
  GROUP 1
END  

STRINGA 5
BEGIN
  KEY "SESSO"
  PROMPT 58 14 ""
  FIELD 118@->SESSO
  GROUP 1
END  
  
STRINGA 6
BEGIN
  KEY "DATA DI NASCITA"
  PROMPT 66 14 ""
  FIELD 118@->DATANASC
  GROUP 1
END  
  
STRINGA 7
BEGIN
  KEY "COMUNE DI NASCITA"
  PROMPT 84 14 ""
  FIELD 113@->DENCOM
  GROUP 1
END  
  
STRINGA 8
BEGIN
  KEY "PROV. DI NASCITA"
  PROMPT 126 14 ""
  FIELD 113@->PROVCOM
  GROUP 1
END  
  
STRINGA 10
BEGIN
  KEY "COMUNE DI RES.FISCALE"
  PROMPT 17 16 ""
  FIELD 213@->DENCOM
END  
  
STRINGA 11
BEGIN
  KEY "PROV DI RES.FISCALE"
  PROMPT 59 16 ""
  FIELD 213@->PROVCOM
END  
  
STRINGA 12
BEGIN
  KEY "VIA di RES."
  PROMPT 66 16  ""
  FIELD 116@->INDRF
END  
  
STRINGA 15
BEGIN
  KEY "NUM. CIVICO di RES."
  PROMPT 102 16 ""
  FIELD 116@->CIVRF
END  
  
STRINGA 16
BEGIN
  KEY "CAP"
  PROMPT 120 16 ""
  FIELD 116@->CAPRF
END  

STRINGA 13
BEGIN
  KEY "CODICE FISCALE DICHIARANTE"
  PROMPT 118 19  ""
END

NUMBER 14
BEGIN
  KEY "NUM. FOGLIO"
  PROMPT 123 22  ""
END

END

SECTION BODY ODD 8

LISTA 100
BEGIN
 KEY "Tipo anagrafica"
 FIELD 216@->TIPOA
 ITEM "F| " MESSAGE ENABLE,1@|DISABLE,2@
 ITEM "G| " MESSAGE ENABLE,2@|DISABLE,1@
END

STRINGA 1
BEGIN
  KEY "COD.FIS"
  PROMPT 10 1 ""
  FIELD 216@->COFI
END

STRING 2
BEGIN   
  KEY "COGNOME"
  PROMPT 42 1 ""
  FIELD 216@->RAGSOC[1,30]
  GROUP 1
END          

STRING 3
BEGIN   
  KEY "NOME"
  PROMPT 81 1 ""
  FIELD 216@->RAGSOC[31,50]
  GROUP 1
END

STRING 102
BEGIN
  KEY "RAGSOC GIURIDICHE"
  PROMPT 54 1 ""
  FIELD 216@->RAGSOC
  GROUP 2
END

STRING 4
BEGIN   
  KEY "DATA NASCITA"
  PROMPT 114 1 ""
  FIELD 218@->DATANASC
END

STRING 5
BEGIN   
  KEY "SESSO"
  PROMPT 129 1 ""
  FIELD 218@->SESSO
END

STRING 6
BEGIN
  KEY "COMUNE DI NASCITA"
  PROMPT 10 3 ""
  FIELD 313@->DENCOM
  GROUP 1
END

STRING 101
BEGIN
  KEY "COMUNE DI RESIDENZA GIURIDICHE"
  PROMPT 10 3 ""
  FIELD 413@->DENCOM
  GROUP 2
END

STRING 7
BEGIN
  KEY "PROV DI NASCITA"
  PROMPT 47 3 ""
  FIELD 313@->PROVCOM
  GROUP 1
END

STRING 8
BEGIN
  KEY "COMUNE DI RESIDENZA"
  PROMPT 53 3 ""
  FIELD 413@->DENCOM
  GROUP 1
END

STRING 9
BEGIN
  KEY "PROV. RESIDENZA"
  PROMPT 88 3 ""
  FIELD 413@->PROVCOM
END

STRING 106
BEGIN
  KEY "PROV. RESIDENZA GIURIDICHE"
  PROMPT 61 3 ""
  FIELD 413@->PROVCOM
  GROUP 2
END

STRING 108
BEGIN
  KEY "VIA RES."
  PROMPT 94 3 ""
  FIELD 216@->INDRES[1,18]
  FLAGS "H"
  MESSAGE COPY,10|COPY,107
END

STRING 109
BEGIN
  KEY "NUM.CIV"
  PROMPT 93 3 ""
  FLAGS "H"
  FIELD 216@->CIVRES
  MESSAGE APPEND,10|APPEND,107
END

STRING 10
BEGIN
  KEY "VIA RES. + numcivres"
  PROMPT 95 3 ""
  GROUP 1
END

STRING 107
BEGIN
  KEY "VIA RES GIURIDICHE"
  PROMPT 69 3 ""
  GROUP 2
END

STRING 11
BEGIN
  KEY "FLAG DI NON RESIDENTE"
  PROMPT 11 5 ""
  FIELD 216@->SOGGNRES
END

STRING 12
BEGIN
  KEY "STATO ESTERO DI RES."
  PROMPT 16 5 "" 
  FIELD 24@->S0
END

STRING 13
BEGIN
  KEY "CODICE STATO ESTERO DI RES."
  PROMPT 75 5 "" 
  FIELD 216@->STATORES
END

STRING 14
BEGIN
  KEY "CODICE FISCALE ESTERO"
  PROMPT 89 5 ""      
  FIELD 216@->COFIEST
END

STRING 15
BEGIN
  KEY "DESCR. CAUSALE"
  PROMPT 10 7 ""
  FIELD 14@->S0[1,20]
END

NUMBER 16
BEGIN
  KEY "TOTALE"
  PROMPT 36 7 ""
//  FIELD 62->TOTALE
  PICTURE "###.###.###^^^" 
  MESSAGE ADD,FL->16
END

NUMBER 17
BEGIN
  KEY "SOMME NON SOGGETTE A RITENUTA"
  PROMPT 55 7 ""
//  FIELD 62->SOMME         
  PICTURE "###.###.###^^^" 
  MESSAGE ADD,FL->17   
END

NUMBER 18
BEGIN
  KEY "IMPONIBILE"
  PROMPT 75 7 ""
//  FIELD 62->IMPONIBILE    
  PICTURE "###.###.###^^^" 
  MESSAGE ADD,FL->18   
END

STRING 19
BEGIN
  KEY "ALIQUOTA"
  PROMPT 88 7 ""
  FIELD 62->PERC
  PICTURE "###@@"
END

NUMBER 20
BEGIN
  KEY "IMPORTO"
  PROMPT 100 7 ""
//  FIELD 62->IMPORTO       
  PICTURE "###.###.###^^^"  
  MESSAGE ADD,FL->20  
END

NUMBER 21
BEGIN
  KEY "NETTO"
  PROMPT 119 7 ""
//  FIELD 62->NETTO         
  PICTURE "###.###.###^^^" 
  MESSAGE ADD,FL->21   
END

END

SECTION FOOTER LAST 1

NUMBER 16
BEGIN
  KEY "TOTALE TOTALE"
  PROMPT 36 1 ""           
  PICTURE "###.###.###^^^"   
END

NUMBER 17
BEGIN
  KEY "TOTALE SOMME NON SOGGETTE"
  PROMPT 55 1 ""   
  PICTURE "###.###.###^^^"   
END

NUMBER 18
BEGIN
  KEY "TOTALE IMPONIBILE"
  PROMPT 75 1 ""
  PICTURE "###.###.###^^^"   
END

NUMBER 20
BEGIN
  KEY "TOTALE IMPORTO"
  PROMPT 101 1 ""
  PICTURE "###.###.###^^^"   
END

NUMBER 21
BEGIN
  KEY "TOTALE NETTO"
  PROMPT 120 1 ""
  PICTURE "###.###.###^^^"   
END

END
